echo "Lokal:"

openssl verify -CAfile class1.crt OCSP-1.crt
openssl verify -CAfile class3.crt OCSP-3.crt
openssl verify -CAfile class1.crt OCSP-1-expired.crt
openssl verify -CAfile class3.crt OCSP-3-expired.crt

echo "Produktion:"

openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class1.crt -cert OCSP-1-expired.crt -text >OCSP-1.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class1.crt -cert class3.crt -text >OCSP-2.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class3.crt -cert OCSP-3-expired.crt -text >OCSP-3.txt

echo "GET Tests:"

openssl ocsp -no_cert_verify -url http://ocsp.cacert.org/ -issuer class1.crt -cert OCSP-1.crt -reqout ocsp-req.txt

# note: -w 0 is no line wrapping
wget http://ocsp.cacert.org/`base64 -w 0 <ocsp-req.txt` -O ocsp-resp.txt

openssl ocsp -respin ocsp-resp.txt -resp_text


#grep Status OCSP-*.txt ; rm OCSP-*.txt

#echo "OpenValidation:"
#openssl ocsp -url http://ocsp.openvalidation.org:8090/ -issuer class1.crt -VAfile OpenValidationOCSPServer.pem -text -cert OCSP-1.crt >OCSP-1.txt
#grep Status OCSP-1.txt
#vi OCSP-1.txt

#echo "Test1:"
#openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class1.crt -cert OCSP-1.crt -text >OCSP-1.txt
#openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class1.crt -cert class3.crt -text >OCSP-2.txt
#openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class3.crt -cert OCSP-3.crt -text >OCSP-3.txt

#grep Status OCSP-*.txt ; rm OCSP-*.txt

#openssl ocsp -url http://ocsp.cacert.org/ -issuer class1.crt -cert class1.crt -text

#openssl ocsp -url http://ocsp.cacert.org:2560/ -issuer class1.crt -cert root.crt -text

#OpenValidationOCSPServer.pem
#OpenValidationRootCAcert.pem
